
#graphs h1,
#graphs h2 {
    clear: both;
}
.graphic.cube > div:not(.clear) {
    float: left;
    background: transparent url('../images/cube.png') no-repeat;
    position: relative;
    width: 350px;
    height: 300px;
    margin: 20px 70px 20px 0;
}
.graphic.cube.reversed > div:not(.clear) {
    background: transparent url('../images/cube-reversed.png') no-repeat;
}
.graphic.cube li {
    position: absolute;
}
.graphic.cube .values li {
    background-color: rgba(255, 255, 255, .8);
    line-height: 1em;
    &.selected {
        font-weight: bold;
        background-color: #FE1;
        padding: 2px;
    }
}

/* right bottom front */
.graphic.cube .values li {
    &:nth-child(1) {
        top: 245px;
        left: 305px;
    }
    /* right bottom back */

    &:nth-child(2) {
        top: 155px;
        left: 245px;
    }
    /* right top front */

    &:nth-child(3) {
        top: 40px;
        left: 305px;
    }
    /* right top back */

    &:nth-child(4) {
        top: -20px;
        left: 245px;
    }
    /* left bottom front */

    &:nth-child(5) {
        top: 245px;
        left: 115px;
    }
    /* left bottom back */

    &:nth-child(6) {
        top: 155px;
        left: 60px;
    }
    /* left top front */

    &:nth-child(7) {
        top: 40px;
        left: 115px;
    }
    /* left top back */

    &:nth-child(8) {
        top: -20px;
        left: 60px;
    }
}

/** axes **/
.graphic.cube .axes li {
    width: 140px;
    font-size: .8em;
    line-height: 1em;
    &:nth-child(1) {
        bottom: 10px;
        left: 150px;
        text-align: center;
        color: #2A4;
    }
    &:nth-child(3) {
        transform: rotate(45deg);
        transform-origin: 0% 0%;
        top: 168px;
        left: -9px;
        text-align: center;
        color: #F02;
    }
    &:nth-child(2) {
        transform: rotate(-90deg);
        transform-origin: 0% 0%;
        top: 203px;
        left: 330px;
        text-align: center;
        color: #249;
    }
}

/** Reversed cube **/
/* right bottom front */
.graphic.cube.reversed .values li {
    &:nth-child(2) {
        top: 245px;
        left: 305px;
    }
    /* right bottom back */
    &:nth-child(1) {
        top: 155px;
        left: 245px;
    }
    /* right top front */
    &:nth-child(4) {
        top: 40px;
        left: 305px;
    }
    /* right top back */
    &:nth-child(3) {
        top: -20px;
        left: 245px;
    }
    /* left bottom front */
    &:nth-child(6) {
        top: 245px;
        left: 115px;
    }
    /* left bottom back */
    &:nth-child(5) {
        top: 155px;
        left: 60px;
    }
    /* left top front */
    &:nth-child(8) {
        top: 40px;
        left: 115px;
    }
    /* left top back */
    &:nth-child(7) {
        top: -20px;
        left: 60px;
    }
}
